Skip to content
Start here

List Connectors

client.magicTransit.connectors.list(ConnectorListParams { account_id } params, RequestOptionsoptions?): SinglePage<ConnectorListResponse { id, activated, interrupt_window_days_of_week, 10 more } >
GET/accounts/{account_id}/magic/connectors

List Connectors

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN Read
ParametersExpand Collapse
params: ConnectorListParams { account_id }
account_id: string

Account identifier

maxLength32
ReturnsExpand Collapse
ConnectorListResponse { id, activated, interrupt_window_days_of_week, 10 more }
id: string
activated: boolean
interrupt_window_days_of_week: Array<"Sunday" | "Monday" | "Tuesday" | 4 more>

Allowed days of the week for upgrades. Default is all days.

One of the following:
"Sunday"
"Monday"
"Tuesday"
"Wednesday"
"Thursday"
"Friday"
"Saturday"
interrupt_window_duration_hours: number
maximum24
minimum1
interrupt_window_embargo_dates: Array<string>

List of dates (YYYY-MM-DD) when upgrades are blocked.

interrupt_window_hour_of_day: number
last_updated: string
notes: string
timezone: string
device?: Device { id, serial_number }
id: string
serial_number?: string
last_heartbeat?: string
last_seen_version?: string
license_key?: string

List Connectors

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const connectorListResponse of client.magicTransit.connectors.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(connectorListResponse.id);
}
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "id",
      "activated": true,
      "interrupt_window_days_of_week": [
        "Sunday"
      ],
      "interrupt_window_duration_hours": 1,
      "interrupt_window_embargo_dates": [
        "string"
      ],
      "interrupt_window_hour_of_day": 0,
      "last_updated": "last_updated",
      "notes": "notes",
      "timezone": "timezone",
      "device": {
        "id": "id",
        "serial_number": "serial_number"
      },
      "last_heartbeat": "last_heartbeat",
      "last_seen_version": "last_seen_version",
      "license_key": "license_key"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "id",
      "activated": true,
      "interrupt_window_days_of_week": [
        "Sunday"
      ],
      "interrupt_window_duration_hours": 1,
      "interrupt_window_embargo_dates": [
        "string"
      ],
      "interrupt_window_hour_of_day": 0,
      "last_updated": "last_updated",
      "notes": "notes",
      "timezone": "timezone",
      "device": {
        "id": "id",
        "serial_number": "serial_number"
      },
      "last_heartbeat": "last_heartbeat",
      "last_seen_version": "last_seen_version",
      "license_key": "license_key"
    }
  ],
  "success": true
}